Create a cancel-reward action
curl --request POST \
--url https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/cancel-rewards \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"component_ids": [
"component_id"
],
"component_references": [
{
"component_id": "component_id",
"socket_names": [
"socket_name"
]
}
],
"enabled": true,
"message": "message",
"quality": "ALWAYS",
"reward_id": "reward_id"
}
'import requests
url = "https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/cancel-rewards"
payload = {
"component_ids": ["component_id"],
"component_references": [
{
"component_id": "component_id",
"socket_names": ["socket_name"]
}
],
"enabled": True,
"message": "message",
"quality": "ALWAYS",
"reward_id": "reward_id"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
component_ids: ['component_id'],
component_references: [{component_id: 'component_id', socket_names: ['socket_name']}],
enabled: true,
message: 'message',
quality: 'ALWAYS',
reward_id: 'reward_id'
})
};
fetch('https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/cancel-rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action_id": "<string>",
"action_type": "CANCEL_REWARD",
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"enabled": true,
"message": "<string>",
"reward_id": "<string>"
}Campaign Controllers Actions
Create a cancel-reward action
Adds a cancel-reward action to the specified campaign controller. When the controller’s triggers fire, this action cancels the specified reward for the participant. Returns the created cancel-reward action with its server-assigned id.
POST
/
v2
/
campaigns
/
{campaignId}
{version}
/
controllers
/
{controllerId}
/
actions
/
cancel-rewards
Create a cancel-reward action
Authorizations
HEADERQUERYCOOKIE
Path Parameters
Pattern:
(/version/.+)?Body
application/json
Body of a POST /v2/campaigns/{campaignId}{version:(/version/.+)?}/controllers/{controllerId}/actions/cancel-rewards request.
Response
Successful response
Available options:
CANCEL_REWARD Show child attributes
Show child attributes
The enabled as configured: a literal value, or an expression (type:string) when defined dynamically.
Available options:
ALWAYS, HIGH, LOW ⌘I
